API referenceContacts
GET /contacts
Contacts (search on name, email, company or a phone; tags; platform; subscription)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
profileId?stringProfile
accountId?stringChannel account
search?stringName, email, company or phone
tag?stringOne tag
platform?stringChannel platform
isSubscribed?stringSubscription
Value in
"true""false"limit?integerPage size
Range
1 <= valueskip?integerItems to skip
Range
0 <= value{success, contacts, filters, pagination}
application/json- response
success?booleancontacts?array<>filters?pagination?curl -X GET 'https://example.com/api/v1/contacts'Example Response
{ "success": true, "contacts": [ { "id": "string", "name": "string", "email": "string", "company": "string", "avatarUrl": "string", "tags": [ "string" ], "isSubscribed": true, "isBlocked": true, "customFields": {}, "notes": "string", "profileId": "string", "messagesSentCount": 0, "messagesReceivedCount": 0, "lastMessageSentAt": "2019-08-24T14:15:22Z", "lastMessageReceivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "filters": { "tags": [ "string" ] }, "pagination": { "total": 0, "limit": 0, "skip": 0, "hasMore": true }}